[Twisted-Python] Anyone still using Python 2.5?

Itamar Turner-Trauring itamar at itamarst.org
Sun Mar 4 23:15:26 EST 2012

In particular, are you using recent versions of Twisted with Python 2.5? 
Dropping support for 2.5 would make it easier for us to begin the work 
of supporting Python 3, so I'm wondering how widespread the use of 
Python 2.5 is. (If you're using the version of Twisted included with 
your distro that doesn't really count, since lack of support in newer 
releases is less relevant.)

If you are using Python 2.5, what is the constraint keeping you there? 
There's Ubuntu LTS 8.04 - any other relevant platforms?

On Windows it looks like 10-12% of PyPI downloads are for Python 2.5:



More information about the Twisted-Python mailing list